Package org.apache.storm.scheduler

## Class Component

- java.lang.Object
- - org.apache.storm.scheduler.Component

-     public class Component
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Component​(ComponentType type, String compId, List<ExecutorDetails> execs, Map<GlobalStreamId,​Grouping> inputs)` | Create a new component.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChild​(Component child)` | Add a child link.
    `Set<String>` | `getChildren()` |
    `List<ExecutorDetails>` | `getExecs()` |
    `String` | `getId()` |
    `Map<GlobalStreamId,​Grouping>` | `getInputs()` |
    `Set<String>` | `getParents()` |
    `ComponentType` | `getType()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Component

          public Component​(ComponentType type,
                           String compId,
                           List<ExecutorDetails> execs,
                           Map<GlobalStreamId,​Grouping> inputs)

      Create a new component.
      Parameters:
        `type` - the type of component this is
        `compId` - the id of the component
        `execs` - the executors for this component.

  - ### Method Detail

    - #### addChild

          public void addChild​(Component child)

      Add a child link.
      Parameters:
        `child` - a child the consumes from this

    - #### getId

          public String getId()

    - #### getExecs

          public List<ExecutorDetails> getExecs()

    - #### getType

          public ComponentType getType()

    - #### getParents

          public Set<String> getParents()

    - #### getChildren

          public Set<String> getChildren()

    - #### getInputs

          public Map<GlobalStreamId,​Grouping> getInputs()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`